[ruby-cvs:70682] naruse:r63591 (trunk): Use `Net::HTTPClientException` instead of `Net::HTTPServerException`

naruse at ruby-lang.org naruse at ruby-lang.org
Wed Jun 6 21:13:16 JST 2018


naruse	2018-06-06 21:13:16 +0900 (Wed, 06 Jun 2018)

  New Revision: 63591

  https://svn.ruby-lang.org/cgi-bin/viewvc.cgi?view=revision&revision=63591

  Log:
    Use `Net::HTTPClientException` instead of `Net::HTTPServerException`
    
    `Net::HTTPServerException` has been deprecated since r63590. [Bug #14688]
    And `net/http/responses.rb` uses the deprecated constant, so Ruby warns of the deprecation.
    
    Example:
    
    ```bash
    $ ruby -r net/http -e ''
    /home/pocke/.rbenv/versions/trunk/lib/ruby/2.6.0/net/http/responses.rb:22: warning: constant Net::HTTPServerException is deprecated
    ```
    
    This change suppresses the warning.
    From: Masataka Pocke Kuwabara <kuwabara at pocke.me>

  Modified files:
    trunk/lib/net/http/responses.rb


More information about the ruby-cvs mailing list